<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin;

use Ak\Wp\Plugin\PluginInterface as AkPluginInterface;

/**
 * Interface PluginInterface
 *
 * @package Inti\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
interface PluginInterface extends AkPluginInterface
{
    /**
     * Called before regular plugins are loaded.
     */
    public function attachEarly(): void;
}
